Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Any.h File Reference

Any.h,v 1.65 2002/07/01 14:03:45 parsons Exp. More...

`#include "ace/pre.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Typecode.h"`
`#include "ace/post.h"`

Include dependency graph for Any.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_Any
| Class "Any" can wrap values of any type, with the assistance of a TypeCode to describe that type. More...
struct | CORBA_Any::to_object
struct | CORBA_Any::to_abstract_base
struct | CORBA_Any::to_value
class | CORBA_Any_out
| CORBA_Any_out. More...
class | CORBA_Any_var
| Provide for automatic storage deallocation on going out of scope. More...
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const CORBA::Any &x)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &cdr, CORBA::Any &x)
TAO_Export void | operator<<= (CORBA_Any_var &, CORBA::Short)
TAO_Export void | operator<<= (CORBA_Any_var &, const CORBA_Any &)
TAO_Export void | operator<<= (CORBA_Any_var &, const char *)
TAO_Export void | operator<<= (CORBA_Any_var &, CORBA::Any::from_boolean)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Short &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::UShort &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Long &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::ULong &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::LongLong &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::ULongLong &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Float &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Double &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA_Any &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::TypeCode_ptr &)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, const char *&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, const CORBA::WChar *&)
TAO_Export CORBA::Boolean | operator>>= (CORBA_Any_var &, CORBA::Any::to_boolean)

## Detailed Description

Any.h,v 1.65 2002/07/01 14:03:45 parsons Exp.

Author:
  Copyright 1994-1995 by Sun Microsystems Inc. , Aniruddha Gokhale

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const CORBA::Any & | x
| ) |

TAO_Export void operator<<= | ( | CORBA_Any_var & | ,
|  | CORBA::Any:: | from_boolean
| ) |

TAO_Export void operator<<= | ( | CORBA_Any_var & | lhs,
|  | const char * | rhs
| ) |

TAO_Export void operator<<= | ( | CORBA_Any_var & | lhs,
|  | const CORBA_Any & | rhs
| ) |

TAO_Export void operator<<= | ( | CORBA_Any_var & | ,
|  | CORBA:: | Short
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | CORBA::Any & | x
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | ,
|  | CORBA::Any:: | to_boolean
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | const CORBA::WChar *& | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | const char *& | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::TypeCode_ptr & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA_Any & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Double & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Float & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::ULongLong & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::LongLong & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::ULong & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Long & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::UShort & | rhs
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | CORBA_Any_var & | lhs,
|  | CORBA::Short & | rhs
| ) |